<template>
  <div>
    <div class="confirmation-execution one-block">
      <statistic
        :order="orderData"
        class="two-block"
      />
      <registry
        :order="orderData"
        class="three-block"
      />
    </div>
    <Pods
      :order="orderData"
    />
  </div>
</template>

<script>
  import Statistic from './statistic'
  import Registry from './registry'
  import Pods from './pods/'

  export default {
    name: "confirmationExecution",
    components: {
      Statistic,
      Registry,
      Pods
    },
    props: {
      orderData: {
        type: Object,
        default: () => {}
      }
    }
  }
</script>

<style scoped lang="scss">
  .confirmation-execution {
    display: flex;
    justify-content: space-between;
    margin-bottom: 40px;
    .two-block {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      margin-right: 20px;
      flex-grow: 2;
    }
    .three-block {
      grid-area: Three;
    }
  }
</style>
